diff --git a/doc/src/sgml/stylesheet-html-common.xsl b/doc/src/sgml/stylesheet-html-common.xsl
index 9df2782ce4..4a45973408 100644
--- a/doc/src/sgml/stylesheet-html-common.xsl
+++ b/doc/src/sgml/stylesheet-html-common.xsl
@@ -55,6 +55,14 @@
   </span>
 </xsl:template>
 
+<xsl:template match="comment()">
+  <button class="comment-tooltip">
+    <span class="comment-tooltip-text">
+      <xsl:value-of select="." />
+    </span>
+    🔍
+  </button>
+</xsl:template>
 
 <!-- table of contents configuration -->
 
diff --git a/doc/src/sgml/stylesheet.css b/doc/src/sgml/stylesheet.css
index 6410a47958..040212181b 100644
--- a/doc/src/sgml/stylesheet.css
+++ b/doc/src/sgml/stylesheet.css
@@ -163,3 +163,30 @@ acronym		{ font-style: inherit; }
     width: 75%;
   }
 }
+
+.comment-tooltip-text {
+	opacity: 0;
+	visibility: hidden;
+	position: absolute;
+	left: 50%;
+	transform: translateX(-50%);
+	margin-left: 300px; 
+	bottom: -30px;
+	display: inline-block;
+	padding: 5px;
+	white-space: nowrap; 
+	font-size: 0.8rem;
+	line-height: 1.3;
+	background: #333;
+	color: #fff;
+	border-radius: 3px;
+	transition: 0.3s ease-in;
+}
+.comment-tooltip {
+    position: absolute;
+	left: 20px;
+}
+.comment-tooltip:hover .comment-tooltip-text {
+	opacity: 1;
+	visibility: visible;
+}
